version: '3.9'

services:
  fpm:
    build:
      dockerfile: php-fpm/Dockerfile
      context: .
    volumes:
      - ./project:/var/www/html

  web:
    image: nginx
    ports:
      - ${NGINX_PORT:-80}:80
    volumes:
      - ./nginx/nginx.conf:/etc/nginx/nginx.conf
      - ./nginx/default.conf:/etc/nginx/conf.d/default.conf
      - ./project:/var/www/html